using System.ComponentModel.DataAnnotations;

namespace AutomatizovanySklad.Core.Entity {
  public class Kontakt {
    public int Id { get; set; }

    [EmailAddress]
    [StringLength(100)]
    public string Email { get; set; }

    [RegularExpression(@"^ ?[0-9]{3} ?[0-9]{3} ?[0-9]{3}$", ErrorMessage = "Zadej validní typ mobilního čísla!")]
    [StringLength(20)]
    public string Telefon { get; set; }


    [StringLength(100)]
    public string Webovky { get; set; }

    public TypKontaktu TypKontaktu { get; set; }
  }
}